/*----------------------------------------------------------------------
copyright (c) 2008 Georget Fabien

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--------------------------------------------------------------------------
File : CompDock.h
Program : gt2n
Date : 12/07/08
--------------------------------------------------------------------------
Nature : Header file for the compiler dock
--------------------------------------------------------------------------*/

#include "QTextEdit"

class MainWindow;
class QFileInfo;
#include  <QProcess>

class CompDock : public QTextEdit
{
  Q_OBJECT

  public:
    CompDock(MainWindow *mainWin);
    void compile(QFileInfo file);
    bool readyToTransfer(){return goodCompilation;}

  public slots:
    void s_printOutput(int exitCode, QProcess::ExitStatus exitStatus);
    void s_cleanLog();
    void s_saveLog();


  private:
    MainWindow *fenPrincipale;
    QProcess nbcProcess;
    QString nbcPath;

    void writeLog(QString toWrite);
    void writeErrorLog(QString toWrite);
    void writeGoodLog(QString toWrite);
    
    bool goodCompilation; // last compilation ok ?


};